#-*-coding:utf-8-*-
###########################################################################
# Eole NG - 2009
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# gepi.py
#
# Configuration de base de données mysql de gepi
#
###########################################################################
"""
    Config pour gepi
"""
from os.path import isdir
from eolesql.config import dico_creole
GEPI_TABLEFILENAMES = ["/etc/sysconfig/eole/0_scribe-gepi.sql",
                      '/etc/sysconfig/eole/1_scribe-gepi.sql']
def test():
    """
        test l'existence de la table Gepi
    """
    return dico_creole.get('apache_gepi', 'non') == 'oui' and \
            not isdir("/var/lib/mysql/gepi151")

conf_dict = dict(filenames=GEPI_TABLEFILENAMES,
                 test=test)

